## gnuplot5 5.0.0~rc+dfsg2

=== config/mingw/Makefile ===
# Hello, emacs: this is a -*- Makefile -*-
# $Id: Makefile,v 1.48 2014/08/18 22:03:46 broeker Exp $
#
# GNUPLOT Makefile for MinGW/MSYS on Windows
# This assumes usual installation of the MinGW32 toolkit, the free
# GNU gcc. See www.mingw.org for more details.

# To compile gnuplot for Windows:
# - Change the configuration section in 'config/mingw/Makfile' to
#   match your setup.
# - On the MSYS prompt, change directory to 'config/mingw' and issue the commands
#	 make all
#	 make install
#
# This makefile was tested with 
#   MSYS, MingW32 and Microsoft HTML Help 1.4 SDK.


#
# ************** Begin of Configuration section ************************
#

# Comment out the definition lines to disable the according features:

# Define this only if doing a release build
# RELEASE=1

# GIF, PNG, JPEG device drivers
# Requires gd library. There are two possibilities how to configure these
# drivers for use in gnuplot, depending on the gd version. See README.1ST for
# more details.
#
# You should compile gnuplot with GD library v2.0 or newer.
# This library writes PNG, GIF and JPEG images.
# If libgd has been compiled with TrueType font support, then you can use
# scaled TrueType fonts. If not, then uncomment FREETYPE.
# Requires GD, PNG and Z libraries, optionally libfreetype.
# In some cases, libfreetype can depend on additional libraries such as
# fontconfig or iconv; then, uncomment GDAUTOCONFIGLIBS so that all of the
# libraries needed for linking will be taken by running 'gdlib-config'.
# Uncomment BGD if you want to use the binary DLL version of libgd.
#NEWGD=1
#JPEG=1
#FREETYPE=1
#GDAUTOCONFIGLIBS=1
#BGD=1

# PDF device driver
# Requires PNG and Z libraries based on particular PDF library used, and
# optionally also TIFF library according to
# 1. defined PDF_NOTIFF:
#    'Light' pdf library (produces wgnuplot.exe only 200 KB larger!)
#    You can get this pdf library by compiling it without PNG, GD and TIFF
#    support: change  pdflib/p_intern.h  and recompile the pdf library.
#    Gnuplot does not use the tiff routines, and gd/png are elsewhere.
# 2. undefined PDF_NOTIFF:
#    Full pdf library (produces wgnuplot.exe 500 KB larger!)
#PDF=1
#PDF_NOTIFF=1

# DEBUGging support
# creates binaries suitable for debugging. Some bugs may come and go
# as opposed to a production build since we lower the optimization level
#DEBUG=1

# MOUSE support for the windows terminal
MOUSE=1

# Cairo/Pango terminals
# Uncomment the following lines to select the pngcairo and pdfcairo
# terminals
#CAIROTERMS=1
#CAIROLIBS=1

# WXWIDGETS interactive terminal
# Requires wxWidgets, Cairo, Pango, and their respective dependencies.
# Uncomment the following lines to compile it.
#WXT=1
#CAIROLIBS=1

# Build qt terminal?
#QT = 1
# specify QT installation directory
#QT_DIR = /c/Qt/5.2.1/mingw48_32
QT_DIR = /d/Source/Qt-5.2.1-mingw/5.2.1/mingw48_32

# Uncomment the following line to select the lua/tikz terminal
#LUA=lua

# Uncomment the following line to select the caca terminal
# Requires libcaca version 0.99.beta15 or newer. A post-beta18
# svn version is recommended since it contains an improved
# win32 backend.
CACA=1

# Uncomment if you have libiconv
ICONV=1

# Uncomment if you have libcerf
# http://sourceforge.net/projects/libcerf/
CERF=1

# Below you can adapt paths according to your software setup:

# Where to install the PostScript prologue files, relatively to the executable
# wgnuplot.exe
GNUPLOT_PS_DIR = share/PostScript

# Similarly for javascript files for the canvas terminal:
GNUPLOT_JS_DIR = share/js

# Similarly for translation files for the qt terminal:
GNUPLOT_QT_DIR = share/qt

# Similarly for scripts used by the lua terminal
GNUPLOT_LUA_DIR = share/lua

# Install will put TeX files here:
GNUPLOT_TEX_DIR = share/texmf/tex

# gnuplot will look for gnuplotrc here:
GNUPLOT_SHARE_DIR = share


# Destination directory, used in 'make install':
#DESTDIR = /local/opt/gnuplot-4.5
DESTDIR = "$(PROGRAMFILES)/gnuplot"

# give here the path to MinGW compiler unless it is already in PATH
#GCCPATH = g:/mingw32/bin/
#GCCPATH = c:/apps/mingw/bin/

# Do you want some special optimization?
# -mpentium means optimise for Pentium processor
# -mpentiumpro means optimize for Pentium II and Pro processors
#CFLAGS +=

# To compile the .chm file you need the Microsoft HTML Help 1.4 SDK
# It can be obtained here:
# http://go.microsoft.com/fwlink/?LinkId=154968
# We need to explicitly set the correct path here since we also need
# adjust the include and library paths.
HHWPATH = "$(PROGRAMFILES)/HTML Help Workshop/"
HHC = $(HHWPATH)hhc

# Choose which resource compiler you want to use (GNU windres or MS rc):
GNU_RC = 1
ifndef GNU_RC
  # If uncommented GNU_RC above and rc.exe not in PATH, then set:
  MSSDK = c:/mssdk
endif

# GNU sort
GNUSORT = /bin/sort

# Inno Setup Compiler
# get it from: http://www.jrsoftware.org/isdl.php
ISCC = "$(PROGRAMFILES)/Inno Setup 5/iscc"

# Directory that might contain extra files to be shipped with the installer.
# This should include dependencies like DLLs, but also fontconfig configuration files.
#EXTRADIST = /d/gnuplot/dist

#
# *************** End of Configuration section *************************
#


#         There shouldn't be anything to be changed below this line
# **********************************************************************
#

# Choose target to compile:
# 1. wgnuplot.exe: The usual Windows GUI for input commands.
# 2. wgnuplot_pipes.exe: The usual Windows GUI with support of pipes, so
#    that e.g.  plot '<awk -f preprocess.awk my.dat')  or  x=system('ls -1')
#    can work. Drawback: wgnuplot_pipes.exe keeps attached to a console (DOS)
#    window it was launched from, or it opens a new one.
# 3. gnuplot.exe: Console mode instead of GUI for the text input.
#

# PIPES: define if you would prefer support of pipes undef Windows (e.g.
# plot '<awk -f preprocess.awk my.dat'). Drawback: wgnuplot_pipes.exe keeps
# attached to a console=DOS window it was launched from, or it opens a new one.

# CONSOLE: define if you would prefer the console (non-GUI) version of the
# text command window.

ifndef TARGET
TARGET=wgnuplot.exe
#TARGET=wgnuplot_pipes.exe
#TARGET=gnuplot.exe
endif

# Set PIPES and CONSOLE according to the target
ifeq ($(TARGET),wgnuplot.exe)
	MENUFILE=wgnuplot.mnu
	O=o
	CFLAGSEXTRA=-DUSE_FAKEPIPES
endif
ifeq ($(TARGET),wgnuplot_pipes.exe)
	MENUFILE=wgnuplot.mnu
	PIPES=1
	O=po
endif
ifeq ($(TARGET),gnuplot.exe)
	PIPES=1
	CONSOLE=1
	O=co
endif


CC = $(GCCPATH)gcc
LD = $(CC)
CXX = $(GCCPATH)g++
LDX = $(CXX)

RM = rm -f
CP = cp -p

ifdef DEBUG
  CFLAGS += -g -Wall -pipe
  LDFLAGS += -g
else
  CFLAGS += -O2 -pipe
  LDFLAGS += -s
endif

LDFLAGS2 = -mwindows -Wl,--enable-auto-import
ifdef PIPES
  OPTS += -DPIPES
  LDFLAGS2 = -mconsole
endif

ifdef CONSOLE
  OPTS += -DWGP_CONSOLE -DCONSOLE_SWITCH_CP
  LDFLAGS2 = -mconsole
endif

TOP = ../..

# macros for makefile.all
#O has been defined above already
#O=o
S=$(TOP)/src
W=$(S)/win
T=$(TOP)/term/
D=$(TOP)/docs/
M=$(TOP)/demo/

VPATH = $(S):$(S)/wxterminal

TERMFLAGS = -DGNUPLOT_PS_DIR=\"$(GNUPLOT_PS_DIR)\" -DGNUPLOT_JS_DIR=\"$(GNUPLOT_JS_DIR)\"
TERMFLAGS += -I$(TOP)/term

TERMLIBS =

CFLAGS += -I. -I$(S) -I$(T) -D_Windows -DHAVE_CONFIG_H $(OPTS)
CFLAGS += -DGNUPLOT_SHARE_DIR=\"$(GNUPLOT_SHARE_DIR)\"

ifndef RELEASE
  CFLAGS += -DDEVELOPMENT_VERSION
endif

ifdef MOUSE
  CFLAGS += -DUSE_MOUSE=1 -DWIN_IPC
endif

# Name of helpfiles:
HELPFILE = wgnuplot.chm
HELPFILEJA = wgnuplot-ja.chm
CFLAGS += -I$(HHWPATH)include
BUILDHELPFILE = $(D)windows/$(HELPFILE)

ifdef NEWGD
  GD=1
  PNG=1
endif

ifdef GD
  CFLAGS += -DHAVE_LIBGD
  ifndef BGD
    TERMLIBS += -lgd
  else
    TERMLIBS += -lbgd
  endif
endif

ifdef PNG
  CFLAGS += -DHAVE_LIBPNG
  ifndef BGD
  ifndef GDAUTOCONFIGLIBS
    TERMLIBS += -lpng -lz
  endif
  endif
endif

ifdef NEWGD
  CFLAGS += -DHAVE_LIBGD -DHAVE_GD_H -DHAVE_GD_GIF -DGIF_ANIMATION -DHAVE_GD_PNG
ifdef JPEG
  CFLAGS += -DHAVE_GD_JPEG
  ifndef BGD
  ifndef GDAUTOCONFIGLIBS
    TERMLIBS += -ljpeg
  endif
  endif
endif
ifdef FREETYPE
  CFLAGS += -DHAVE_GD_TTF
  ifndef BGD
  ifndef GDAUTOCONFIGLIBS
    TERMLIBS += -lfreetype
  endif
  endif
endif
ifdef GDAUTOCONFIGLIBS
  TERMLIBS += $(shell gdlib-config --libs)
endif
endif

ifdef PDF
  CFLAGS += -DHAVE_LIBPDF
ifdef PDF_NOTIFF
  TERMLIBS += -lpdf_notiff
else
  TERMLIBS += -lpdf -ltiff
#  TERMLIBS += -lpdf-w -ltiff-w
endif
ifndef PNG
  NEED_PNG_W = 1
else
ifndef NEWGD
  NEED_PNG_W = 1
endif
endif
ifdef NEED_PNG_W
  CFLAGS += -DHAVE_LIBPNG
  TERMLIBS += -lpng-w -lz-w
endif
endif

ifdef CAIROLIBS
	CAIRO_CFLAGS := $(shell pkg-config --cflags cairo | sed s_-Ic:_-I/c_g)
	PANGOCAIRO_CFLAGS := $(shell pkg-config --cflags pangocairo cairo | sed s_-Ic:_-I/c_g)
	PANGOCAIRO_LIBS := $(shell pkg-config --libs pangocairo cairo | sed s_-Lc:_-L/c_g)
	CAIRO_OBJS := gp_cairo.$(O) gp_cairo_helpers.$(O)
	TERMFLAGS += $(PANGOCAIRO_CFLAGS)
endif

ifdef CAIROTERMS
	CFLAGS += -DHAVE_CAIROPDF
	TERMFLAGS += -DHAVE_CAIROEPS
endif

ifdef WXT
	CFLAGS += -DWXWIDGETS
	WXT_CXXFLAGS := $(shell wx-config --cxxflags)
	CXXFLAGS += $(WXT_CXXFLAGS)
	WX_LIBS := $(shell wx-config --libs | sed -e "s+-Wl,--subsystem,windows++g" -e "s+-mwindows++g")
	WX_OBJS = wxt_gui.$(O)
endif

ifdef QT
	QT_LIBS = -lQt5Core -lQt5Gui -lQt5Network -lQt5Svg -lQt5Widgets -lQt5PrintSupport -lqtmain
	QT_CXXFLAGS =  -I$(QT_DIR)/include -I$(QT_DIR)/include/Qt -I$(QT_DIR)/include/QtCore -I$(QT_DIR)/include/QtGui
	QT_CXXFLAGS += -I$(QT_DIR)/include/QtWidgets -I$(QT_DIR)/include/QtNetwork
	QT_CXXFLAGS += -I$(QT_DIR)/include/QtSvg -DQTGNUPLOT_DATA_DIR=\"$(GNUPLOT_QT_DIR)\"
	QT_LDFLAGS = -L$(QT_DIR)/lib
#
	CFLAGS += -DQTTERM -DQT_NO_OPENGL
	TERMLIBS += $(QT_LIBS)
	CXXFLAGS += $(QT_CXXFLAGS)
	LDFLAGS  += $(QT_LDFLAGS)
	QT_OBJS = qt_term.$(O) 
	GNUPLOTQTOBJS = gnuplot_qt.o QtGnuplotWindow.o \
		QtGnuplotApplication.o QtGnuplotWidget.o \
		QtGnuplotScene.o QtGnuplotItems.o \
		QtGnuplotEvent.o \
		moc_QtGnuplotWindow.o moc_QtGnuplotApplication.o \
		moc_QtGnuplotWidget.o moc_QtGnuplotScene.o \
		moc_QtGnuplotEvent.o qrc_QtGnuplotResource.o
#
	MOC = $(QT_DIR)/bin/moc
	UIC = $(QT_DIR)/bin/uic
	RCC = $(QT_DIR)/bin/rcc
	LRELEASE = $(QT_DIR)/bin/lrelease
	QT_FILES_TARGETS  = qrc_QtGnuplotResource.cpp ui_QtGnuplotSettings.h moc_QtGnuplotWindow.cpp moc_QtGnuplotApplication.cpp 
	QT_FILES_TARGETS += moc_QtGnuplotWidget.cpp moc_QtGnuplotScene.cpp moc_QtGnuplotEvent.cpp
	QT_TRANSLATION = qtgnuplot_fr.qm qtgnuplot_ja.qm
	QT_TARGET = gnuplot_qt.exe
endif

ifdef LUA
	CFLAGS += -DHAVE_LUA
	TERMLIBS += -l$(LUA)
	TERMFLAGS += -DGNUPLOT_LUA_DIR=\"$(GNUPLOT_LUA_DIR)\"
	LUATARGETS += gnuplot-lua-tikz.sty
endif

ifdef CACA
	CFLAGS += -DHAVE_LIBCACA
	TERMLIBS += -lcaca
endif

ifdef ICONV
	CFLAGS += -DHAVE_ICONV
	TERMLIBS += -liconv
endif

ifdef CERF
	CFLAGS += -DHAVE_LIBCERF -DNEED_CEXP
	TERMLIBS += -lcerf -lm
endif

ifdef GNU_RC
  # RC = d:/cygnus/cygwin-b20/H-i586-cygwin32/bin/windres
  RC  = $(GCCPATH)windres
  RCFLAGS = --include-dir=$(W) \
	--define __WIN32__ --define __WIN95__ \
	--define __GNUWIN32__ --use-temp-file
  RCOUT = wgplt_res.$(O)
  RES2COFF = echo wgplt_res.$(O)
else
  RC = $(MSSDK)/bin/rc
  RCFLAGS = -v -i$(MSSDK)/include -i$(W) -dWIN32
  RCOUT = -fowgnuplot.res
  RES2COFF = res2coff -i wgnuplot.res -o wgplt_res.$(O)
endif

ifdef RELEASE
VERSIONING = $(S)/version.c
else
VERSIONING = timestamp.h
endif

PATCHLEVEL := `cat $(TOP)/PATCHLEVEL`
MAINVERSION := `cat $(TOP)/VERSION`
SHORTVERSION := `cut -b 2 --complement $(TOP)/VERSION`$(PATCHLEVEL)
NUMBERS := 0 1 2 3 4 5 6 7 8 9
ifeq ($(strip $(filter-out $(NUMBERS),$(PATCHLEVEL))),)
LONGVERSION := $(MAINVERSION).$(PATCHLEVEL)
else
LONGVERSION := $(MAINVERSION).0
endif
FULLVERSION := $(MAINVERSION) patchlevel $(PATCHLEVEL)


default: $(TARGET) $(MENUFILE) support

console: 
	$(MAKE) TARGET=gnuplot.exe default

windows:
	$(MAKE) TARGET=wgnuplot.exe default

pipes:
	$(MAKE) TARGET=wgnuplot_pipes.exe default

docs:
	$(MAKE) TARGET=gnuplot.exe gnuplot.pdf gpcard.pdf tutorial.pdf \

=== demo/plugin/Makefile ===
# Makefile.in generated by automake 1.14 from Makefile.am.
# demo/plugin/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/gnuplot
pkgincludedir = $(includedir)/gnuplot
pkglibdir = $(libdir)/gnuplot
pkglibexecdir = $(libexecdir)/gnuplot
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
noinst_PROGRAMS = demo_plugin.so$(EXEEXT)
subdir = demo/plugin
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/mkinstalldirs $(top_srcdir)/depcomp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/alpha.m4 \
	$(top_srcdir)/m4/apple.m4 $(top_srcdir)/m4/beos.m4 \
	$(top_srcdir)/m4/msdos.m4 $(top_srcdir)/m4/next.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_demo_plugin_so_OBJECTS = demo_plugin_so-demo_plugin.$(OBJEXT)
demo_plugin_so_OBJECTS = $(am_demo_plugin_so_OBJECTS)
demo_plugin_so_LDADD = $(LDADD)
demo_plugin_so_LINK = $(CCLD) $(demo_plugin_so_CFLAGS) $(CFLAGS) \
	$(demo_plugin_so_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(demo_plugin_so_SOURCES)
DIST_SOURCES = $(demo_plugin_so_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.14
AWK = gawk
CACA_CONFIG = 
CAIROEPS_CFLAGS = -D_REENTRANT -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libdrm -I/usr/include/libpng16 
CAIROEPS_LIBS = -lcairo 
CAIROPANGO_CFLAGS = -pthread -D_REENTRANT -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libdrm -I/usr/include/libpng16 
CAIROPANGO_LIBS = -lpangocairo-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lcairo 
CAIROPDF_CFLAGS = -pthread -D_REENTRANT -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include 
CAIROPDF_LIBS = -lz -lpangocairo-1.0 -lpango-1.0 -lgobject-2.0 -lcairo -lglib-2.0 
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FOR_BUILD = gcc
CFLAGS = -Wall -g -O0 -Wno-sign-compare -Wdeclaration-after-statement -Wno-unused-function -Wno-unused-but-set-variable -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =   -I/usr/include  -pthread -D_REENTRANT -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libdrm -I/usr/include/libpng16  -pthread -D_REENTRANT -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -I/usr/lib64/qt5/include/QtNetwork -I/usr/lib64/qt5/include -I/usr/lib64/qt5/include/QtSvg -I/usr/lib64/qt5/include -I/usr/lib64/qt5/include/QtPrintSupport -I/usr/lib64/qt5/include -I/usr/lib64/qt5/include/QtWidgets -I/usr/lib64/qt5/include -I/usr/lib64/qt5/include/QtGui -I/usr/lib64/qt5/include -I/usr/lib64/qt5/include/QtCore -I/usr/lib64/qt5/include 
CXX = c++
CXXCPP = c++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -I/usr/lib64/wx/include/ -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__  -pthread -D_REENTRANT -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libdrm -I/usr/include/libpng16  -D_REENTRANT -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/directfb -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/freetype2  -fPIE 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIST_CONTACT = 
DVIPS = dvips
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EMACS = no
EXEEXT = 
GDLIB_CONFIG = /usr/bin/gdlib-config
GIHDIR = ${datarootdir}/gnuplot/5.0
GREP = /usr/bin/grep
GTK_CFLAGS = -D_REENTRANT -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/directfb -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/freetype2 
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
KPSEXPAND = kpsexpand
LATEX = latex
LDFLAGS =  -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags -L/usr/lib64
LIBCERF_CFLAGS = 
LIBCERF_LIBS = 
LIBOBJS = 
LIBRARIES_FOR_X =  -lX11 
LIBS = -ldl -lm -lcerf  -lz -lpangocairo-1.0 -lpango-1.0 -lgobject-2.0 -lcairo -lglib-2.0 
LINUXSUID = 
LN_S = ln -s
LRELEASE = /usr/lib64/qt5/bin/lrelease
LTLIBOBJS = 
LUA_CFLAGS = 
LUA_LIBS = -llua -lm 
MAINT = #
MAKEINFO = makeinfo
MKDIR_P = /usr/bin/mkdir -p
MOC = /usr/lib64/qt5/bin/moc
OBJC = gcc
OBJCDEPMODE = depmode=gcc3
OBJCFLAGS = 
OBJEXT = o
PACKAGE = gnuplot
PACKAGE_BUGREPORT = 
PACKAGE_NAME = gnuplot
PACKAGE_STRING = gnuplot 5.0.rc2
PACKAGE_TARNAME = gnuplot
PACKAGE_URL = 
PACKAGE_VERSION = 5.0.rc2
PANGO_1_10_2_CFLAGS = 
PANGO_1_10_2_LIBS = 
PATH_SEPARATOR = :
PDFLATEX = pdflatex
PDFLIB_CONFIG = 
PKG_CONFIG = /usr/bin/pkg-config
PLAINTEX = tex
QT_CFLAGS = -I/usr/lib64/qt5/include/QtNetwork -I/usr/lib64/qt5/include -I/usr/lib64/qt5/include/QtSvg -I/usr/lib64/qt5/include -I/usr/lib64/qt5/include/QtPrintSupport -I/usr/lib64/qt5/include -I/usr/lib64/qt5/include/QtWidgets -I/usr/lib64/qt5/include -I/usr/lib64/qt5/include/QtGui -I/usr/lib64/qt5/include -I/usr/lib64/qt5/include/QtCore -I/usr/lib64/qt5/include 
QT_LIBS = -lQt5Network -lQt5Svg -lQt5PrintSupport -lQt5Widgets -lQt5Gui -lQt5Core 
RCC = /usr/lib64/qt5/bin/rcc
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
TERMLIBS =  -lreadline  -lncurses  -lz -lgd -lgd -ljpeg -lz -lm -lpng16 -lfreetype -lfontconfig -lfreetype -lfontconfig -lXpm -lX11 -lvpx -ltiff -llua -lm 
TERMXLIBS = 
TEXDIR = /usr/share/texmf-local/tex/latex/gnuplot
TEXHASH = texhash
TROFF = troff
TUTORIAL = notutorial
UIC = /usr/lib64/qt5/bin/uic
VERSION = 5.0.rc2
VERSION_MAJOR = 5.0
WX_CONFIG = /usr/bin/wx-config

=== debian/changelog ===
gnuplot5 (5.0.0~rc+dfsg2-1) unstable; urgency=medium

  * [6c51a9d] Update copyright-file.
  * [796b51a] Replace binary by Source-version in d/control.
  * [5e8c834] Remove README.Debian and TODO.
  * [5e486cc] Update debian/watch.
  * [947cf8e] Add Files-Excluded into d/copyright.
  * [f90ab32] Imported Upstream version 5.0.0~rc2+dfsg. (Closes: #763504)
  * [163b2af] Remove beos-specific code.
  * [52c53de] Remove gnuplot.doc from source and binary.
  * [0bc7e41] Refresh patches.
  * [f69cc4e] Simplify autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Mon, 29 Sep 2014 22:49:44 +0200

gnuplot5 (5.0.0~rc+dfsg-1) unstable; urgency=medium

  * Initial packaging. (Closes: #754506)

 -- Anton Gladky <gladk@debian.org>  Fri, 11 Jul 2014 23:36:40 +0200

=== debian/control ===
Source: gnuplot5
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>
Standards-Version: 3.9.5
Build-Depends:
 autoconf,
 automake,
 debhelper (>= 9),
 dh-autoreconf,
 libcairo2-dev,
 libedit-dev,
 libgd2-dev,
 liblua5.1-dev,
 libpango1.0-dev,
 libpng-dev,
 qt5-default,
 qtbase5-dev,
 qtbase5-dev-tools,
 qttools5-dev-tools,
 libqt5webkit5-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libx11-dev,
 libxt-dev,
 pkg-config,
 texinfo,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 zlib1g-dev
Homepage: http://gnuplot.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot5.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot5.git
XS-Testsuite: autopkgtest

Package: gnuplot5
Architecture: all
Depends:
 gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox,
 ${misc:Depends}
Suggests:
 gnuplot5-doc
Provides:
 gnuplot
Description: Command-line driven interactive plotting program, version 5
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package is for transition and to install a full-featured gnuplot
 supporting the X11-output.

Package: gnuplot5-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Description: Command-line driven interactive plotting program. Doc-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot5-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the additional documentation.

Package: gnuplot5-nox
Architecture: any
Depends:
 gnuplot5-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fonts-liberation,
 groff
Conflicts:
 gnuplot5-qt,
 gnuplot5-x11
Replaces:
 gnuplot5-qt,
 gnuplot5-x11
Suggests:
 gnuplot5-doc
Description: Command-line driven interactive plotting program. No-X package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot5-x11. The QT-output is packaged in gnuplot5-qt.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package is for working without an X server.

Package: gnuplot5-qt
Architecture: any
Depends:
 gnuplot5-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 gnuplot5-doc
Conflicts:
 gnuplot5-x11,
 gnuplot5-nox
Replaces:
 gnuplot5-x11,
 gnuplot5-nox
Provides:
 gnuplot5-nox
Description: Command-line driven interactive plotting program. QT-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the terminal driver that enables gnuplot to plot
 images interactively under X11. Most users will want this, it is however
 packaged separately so that low-end systems don't need X installed to use
 gnuplot.
 .
 The package provides gnuplot5-x11 and gnuplot5-nox terminals plus an
 additional QT-terminal for output (not default one).

Package: gnuplot5-x11
Architecture: any
Depends:
 gnuplot5-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 gnuplot5-qt,
 gnuplot5-nox
Replaces:
 gnuplot5-qt,
 gnuplot5-nox
Suggests:
 gnuplot5-doc
Provides:
 gnuplot5-nox
Description: Command-line driven interactive plotting program. X-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot5-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the terminal driver that enables gnuplot to plot
 images interactively under X11. Most users will want this, it is however
 packaged separately so that low-end systems don't need X installed to use
 gnuplot.

Package: gnuplot5-data
Architecture: all
Section: doc
Depends:
 aglfn,
 gnuplot-tex,
 ${misc:Depends}
Description: Command-line driven interactive plotting program. Data-files
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains data-files which are used by -nox, -x11 and -qt.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Tell compiler where should find lua headers
export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/lua5.1

BUILDDIR_NOX = $(CURDIR)/debian/build-nox
BUILDDIR_X11 = $(CURDIR)/debian/build-x11
BUILDDIR_QT = $(CURDIR)/debian/build-qt
MANPNOX = $(CURDIR)/debian/gnuplot5-nox/usr/share/man/man1/gnuplot5-nox.1

conf_opts += \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--libexecdir=\$${prefix}/lib/gnuplot5 \
	--datadir=\$${prefix}/share/gnuplot5 \
	--with-gihdir=\$${prefix}/share/gnuplot5 \
	--without-lasergnu \
	--with-png \
	--with-gd \
	--without-lisp-files \
	--without-linux-vga \
	--with-readline=bsd

override_dh_auto_configure:
	mkdir -p $(BUILDDIR_NOX)
	cd $(BUILDDIR_NOX);  ./../../configure $(conf_opts) --with-qt=no --without-x --disable-wxwidgets --disable-wxt
	mkdir -p $(BUILDDIR_X11)
	cd $(BUILDDIR_X11); ../../configure $(conf_opts) --with-qt=no --disable-wxt
	mkdir -p $(BUILDDIR_QT)
	cd $(BUILDDIR_QT); ../../configure $(conf_opts)  --enable-qt --disable-wxt

override_dh_auto_build-arch:
	dh_auto_build -a -- -C $(BUILDDIR_NOX)/src
	dh_auto_build -a -- -C $(BUILDDIR_X11) pkglibexecdir='$$(libexecdir)'
	dh_auto_build -a -- -C $(BUILDDIR_QT) pkglibexecdir='$$(libexecdir)'

override_dh_auto_build-indep:
	cp -f term/PostScript/prologue.ps docs/psdoc/
	dh_auto_build -i -- -C $(BUILDDIR_X11)/docs ps info gpcard.ps
	dh_auto_build -i -- -C $(BUILDDIR_X11)/tutorial tutorial.dvi tutorial.ps
	dh_auto_build -i -- -C $(BUILDDIR_X11)/demo
	dh_auto_build -i -- -C docs/psdoc ps_fontfile_doc.ps
	mkdir -p docs/htmldocs
	$(MAKEINFO) --html --force --output=docs/htmldocs/ docs/gnuplot.texi

override_dh_auto_install:
	$(MAKE) -C $(BUILDDIR_NOX) install DESTDIR=$(CURDIR)/debian/tmp/NOX/ \
		pkglibexecdir='$$(libexecdir)'
	mv $(CURDIR)/debian/tmp/NOX/usr/bin/gnuplot $(CURDIR)/debian/tmp/NOX/usr/bin/gnuplot5-nox
	mv $(CURDIR)/debian/tmp/NOX/usr/share/man/man1/gnuplot.1 $(CURDIR)/debian/tmp/NOX/usr/share/man/man1/gnuplot5-nox.1
	mv $(CURDIR)/debian/tmp/NOX/usr/share/gnuplot5/gnuplot.gih $(CURDIR)/debian/tmp/NOX/usr/share/gnuplot5/gnuplot5-nox.gih
	$(MAKE) -C $(BUILDDIR_X11) install DESTDIR=$(CURDIR)/debian/tmp/X11/ \
		pkglibexecdir='$$(libexecdir)'
	mv $(CURDIR)/debian/tmp/X11/usr/bin/gnuplot $(CURDIR)/debian/tmp/X11/usr/bin/gnuplot5-x11
	mv $(CURDIR)/debian/tmp/X11/usr/share/man/man1/gnuplot.1 $(CURDIR)/debian/tmp/X11/usr/share/man/man1/gnuplot5-x11.1
	mv $(CURDIR)/debian/tmp/X11/usr/share/gnuplot5/gnuplot.gih $(CURDIR)/debian/tmp/X11/usr/share/gnuplot5/gnuplot5-x11.gih
	$(MAKE) -C $(BUILDDIR_QT) install DESTDIR=$(CURDIR)/debian/tmp/QT/ \
		pkglibexecdir='$$(libexecdir)'
	mv $(CURDIR)/debian/tmp/QT/usr/bin/gnuplot $(CURDIR)/debian/tmp/QT/usr/bin/gnuplot5-qt
	mv $(CURDIR)/debian/tmp/QT/usr/share/man/man1/gnuplot.1 $(CURDIR)/debian/tmp/QT/usr/share/man/man1/gnuplot5-qt.1
	mv $(CURDIR)/debian/tmp/QT/usr/share/gnuplot5/gnuplot.gih $(CURDIR)/debian/tmp/QT/usr/share/gnuplot5/gnuplot5-qt.gih

override_dh_auto_test:

override_installchangelogs:
	dh_installchangelogs -pgnuplot5-doc ChangeLog

override_dh_installman:
	dh_installman
	# Fix manpage for nox-version. (Closes: #744218)
	sed -i 's/\[X11 options\] //g' $(MANPNOX)
	sed -i 's/plotting program/plotting program (no-X version)/g' $(MANPNOX)
	sed -i '/SH\ X11\ OPTIONS/,/command line\./ d' $(MANPNOX)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://sf.net/gnuplot/gnuplot-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gnuplot5 5.0.0+dfsg1

=== debian/changelog ===
gnuplot5 (5.0.0+dfsg1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Anton Gladky <gladk@debian.org>  Wed, 06 May 2015 22:12:07 +0200

gnuplot5 (5.0.0+dfsg1-1) unstable; urgency=medium

  * [6654139] Update description of doc.patch.
  * [d62554c] Remove docs/gnuplot.doc from Files-Excluded.
  * [0bde847] Update watch-file.
  * [094380f] Update d/copyright.
  * [03fde84] Use cme fix dpkg-control.
  * [5b554ce] Fix package build with -A option.

 -- Anton Gladky <gladk@debian.org>  Tue, 28 Apr 2015 21:38:18 +0200

gnuplot5 (5.0.0+dfsg1-1~exp1) experimental; urgency=medium

  * [852f781] Imported Upstream version 5.0.0+dfsg1
  * [ebf57b8] Remove doc-patch.
  * [a4d5d14] Update d/watch.
  * [6b6db31] Update d/copyright.
  * [7907a7a] Update doc-generation.
  * [e56cfca] Enable wxt-terminal.

 -- Anton Gladky <gladk@debian.org>  Thu, 22 Jan 2015 23:15:42 +0100

gnuplot5 (5.0.0~rc+dfsg3-1) experimental; urgency=medium

  [ Anton Gladky ]
  * [3071bf2] Imported Upstream version 5.0~rc3
  * [d89f2c1] Set Standards-Version: 3.9.6. No changes.

  [ Mattia Rizzolo ]
  * [8770897] Do not build-depend on qt5-default. (Closes: #769235)

 -- Anton Gladky <gladk@debian.org>  Tue, 18 Nov 2014 19:18:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,51 +1,48 @@
 Source: gnuplot5
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: math
+Testsuite: autopkgtest
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:
- Anton Gladky <gladk@debian.org>
-Standards-Version: 3.9.5
-Build-Depends:
- autoconf,
- automake,
- debhelper (>= 9),
- dh-autoreconf,
- libcairo2-dev,
- libedit-dev,
- libgd2-dev,
- liblua5.1-dev,
- libpango1.0-dev,
- libpng-dev,
- qt5-default,
- qtbase5-dev,
- qtbase5-dev-tools,
- qttools5-dev-tools,
- libqt5webkit5-dev,
- libqt5opengl5-dev,
- libqt5svg5-dev,
- libx11-dev,
- libxt-dev,
- pkg-config,
- texinfo,
- texlive-fonts-recommended,
- texlive-latex-base,
- texlive-latex-extra,
- texlive-latex-recommended,
- zlib1g-dev
+Build-Depends: autoconf,
+               automake,
+               debhelper (>= 9),
+               dh-autoreconf,
+               libcairo2-dev,
+               libedit-dev,
+               libgd2-dev,
+               liblua5.1-dev,
+               libpango1.0-dev,
+               libpng-dev,
+               qtbase5-dev,
+               qtbase5-dev-tools,
+               qttools5-dev-tools,
+               latex2html,
+               libqt5webkit5-dev,
+               libqt5opengl5-dev,
+               libqt5svg5-dev,
+               libx11-dev,
+               libxt-dev,
+               pkg-config,
+               texinfo,
+               texlive-fonts-recommended,
+               texlive-font-utils,
+               texlive-latex-base,
+               texlive-latex-extra,
+               texlive-latex-recommended,
+               libwxgtk3.0-dev,
+               zlib1g-dev
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gnuplot5.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot5.git
 Homepage: http://gnuplot.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot5.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot5.git
-XS-Testsuite: autopkgtest
 
 Package: gnuplot5
 Architecture: all
-Depends:
- gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox,
- ${misc:Depends}
-Suggests:
- gnuplot5-doc
-Provides:
- gnuplot
+Depends: gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox,
+         ${misc:Depends}
+Suggests: gnuplot5-doc
+Provides: gnuplot
 Description: Command-line driven interactive plotting program, version 5
  Gnuplot is a portable command-line driven interactive data and function
  plotting utility that supports lots of output formats, including drivers
@@ -62,8 +59,7 @@
 Package: gnuplot5-doc
 Architecture: all
 Section: doc
-Depends:
- ${misc:Depends}
+Depends: ${misc:Depends}
 Description: Command-line driven interactive plotting program. Doc-package
  Gnuplot is a portable command-line driven interactive data and function
  plotting utility that supports lots of output formats, including drivers
@@ -78,21 +74,16 @@
 
 Package: gnuplot5-nox
 Architecture: any
-Depends:
- gnuplot5-data (= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- fonts-liberation,
- groff
-Conflicts:
- gnuplot5-qt,
- gnuplot5-x11
-Replaces:
- gnuplot5-qt,
- gnuplot5-x11
-Suggests:
- gnuplot5-doc
+Depends: gnuplot5-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: fonts-liberation,
+            groff
+Suggests: gnuplot5-doc
+Conflicts: gnuplot5-qt,
+           gnuplot5-x11
+Replaces: gnuplot5-qt,
+          gnuplot5-x11
 Description: Command-line driven interactive plotting program. No-X package
  Gnuplot is a portable command-line driven interactive data and function
  plotting utility that supports lots of output formats, including drivers
@@ -107,20 +98,15 @@
 
 Package: gnuplot5-qt
 Architecture: any
-Depends:
- gnuplot5-data (= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Suggests:
- gnuplot5-doc
-Conflicts:
- gnuplot5-x11,
- gnuplot5-nox
-Replaces:
- gnuplot5-x11,
- gnuplot5-nox
-Provides:
- gnuplot5-nox
+Depends: gnuplot5-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gnuplot5-doc
+Conflicts: gnuplot5-x11,
+           gnuplot5-nox
+Provides: gnuplot5-nox
+Replaces: gnuplot5-x11,
+          gnuplot5-nox
 Description: Command-line driven interactive plotting program. QT-package
  Gnuplot is a portable command-line driven interactive data and function
  plotting utility that supports lots of output formats, including drivers
@@ -140,20 +126,15 @@
 
 Package: gnuplot5-x11
 Architecture: any
-Depends:
- gnuplot5-data (= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Conflicts:
- gnuplot5-qt,
- gnuplot5-nox
-Replaces:
- gnuplot5-qt,
- gnuplot5-nox
-Suggests:
- gnuplot5-doc
-Provides:
- gnuplot5-nox
+Depends: gnuplot5-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gnuplot5-doc
+Conflicts: gnuplot5-qt,
+           gnuplot5-nox
+Provides: gnuplot5-nox
+Replaces: gnuplot5-qt,
+          gnuplot5-nox
 Description: Command-line driven interactive plotting program. X-package
  Gnuplot is a portable command-line driven interactive data and function
  plotting utility that supports lots of output formats, including drivers
@@ -172,10 +153,9 @@
 Package: gnuplot5-data
 Architecture: all
 Section: doc
-Depends:
- aglfn,
- gnuplot-tex,
- ${misc:Depends}
+Depends: aglfn,
+         gnuplot-tex,
+         ${misc:Depends}
 Description: Command-line driven interactive plotting program. Data-files
  Gnuplot is a portable command-line driven interactive data and function
  plotting utility that supports lots of output formats, including drivers

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 # Tell compiler where should find lua headers
 export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/lua5.1
+
+# Force the use of qt5
+export QT_SELECT=qt5
 
 BUILDDIR_NOX = $(CURDIR)/debian/build-nox
 BUILDDIR_X11 = $(CURDIR)/debian/build-x11
@@ -29,25 +32,18 @@
 
 override_dh_auto_configure:
 	mkdir -p $(BUILDDIR_NOX)
-	cd $(BUILDDIR_NOX);  ./../../configure $(conf_opts) --with-qt=no --without-x --disable-wxwidgets --disable-wxt
+	cd $(BUILDDIR_NOX);  ./../../configure $(conf_opts) --with-qt=no --without-x --disable-wxwidgets
 	mkdir -p $(BUILDDIR_X11)
-	cd $(BUILDDIR_X11); ../../configure $(conf_opts) --with-qt=no --disable-wxt
+	cd $(BUILDDIR_X11); ../../configure $(conf_opts) --with-qt=no --with-tutorial
 	mkdir -p $(BUILDDIR_QT)
-	cd $(BUILDDIR_QT); ../../configure $(conf_opts)  --enable-qt --disable-wxt
+	cd $(BUILDDIR_QT); ../../configure $(conf_opts)  --enable-qt
 
-override_dh_auto_build-arch:
+override_dh_auto_build:
 	dh_auto_build -a -- -C $(BUILDDIR_NOX)/src
 	dh_auto_build -a -- -C $(BUILDDIR_X11) pkglibexecdir='$$(libexecdir)'
 	dh_auto_build -a -- -C $(BUILDDIR_QT) pkglibexecdir='$$(libexecdir)'
-
-override_dh_auto_build-indep:
-	cp -f term/PostScript/prologue.ps docs/psdoc/
-	dh_auto_build -i -- -C $(BUILDDIR_X11)/docs ps info gpcard.ps
-	dh_auto_build -i -- -C $(BUILDDIR_X11)/tutorial tutorial.dvi tutorial.ps
-	dh_auto_build -i -- -C $(BUILDDIR_X11)/demo
-	dh_auto_build -i -- -C docs/psdoc ps_fontfile_doc.ps
-	mkdir -p docs/htmldocs
-	$(MAKEINFO) --html --force --output=docs/htmldocs/ docs/gnuplot.texi
+	cd $(BUILDDIR_X11)/docs; $(MAKE) pdf; $(MAKE) ps; $(MAKE) html; ls
+	cd $(BUILDDIR_X11)/tutorial; $(MAKE) pdf; $(MAKE) ps; ls
 
 override_dh_auto_install:
 	$(MAKE) -C $(BUILDDIR_NOX) install DESTDIR=$(CURDIR)/debian/tmp/NOX/ \
@@ -66,14 +62,18 @@
 	mv $(CURDIR)/debian/tmp/QT/usr/share/man/man1/gnuplot.1 $(CURDIR)/debian/tmp/QT/usr/share/man/man1/gnuplot5-qt.1
 	mv $(CURDIR)/debian/tmp/QT/usr/share/gnuplot5/gnuplot.gih $(CURDIR)/debian/tmp/QT/usr/share/gnuplot5/gnuplot5-qt.gih
 
-override_dh_auto_test:
-
 override_installchangelogs:
 	dh_installchangelogs -pgnuplot5-doc ChangeLog
 
-override_dh_installman:
-	dh_installman
+override_dh_installman-arch:
+	dh_installman -a
 	# Fix manpage for nox-version. (Closes: #744218)
 	sed -i 's/\[X11 options\] //g' $(MANPNOX)
 	sed -i 's/plotting program/plotting program (no-X version)/g' $(MANPNOX)
 	sed -i '/SH\ X11\ OPTIONS/,/command line\./ d' $(MANPNOX)
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf $(BUILDDIR_NOX)
+	rm -rf $(BUILDDIR_X11)
+	rm -rf $(BUILDDIR_QT)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://sf.net/gnuplot/gnuplot-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gnuplot5 5.0.1+dfsg1

=== debian/changelog ===
gnuplot5 (5.0.1+dfsg1-2ubuntu1) wily; urgency=medium

  * Add 13_no_pie.patch: Don't build with -fPIE, Qt barfs on that with
    gcc >= 5. (http://code.qt.io/cgit/qt/qtbase.git/commit/?id=3eca75d)
    (Closes: #795076)
  * debian/rules: Also drop "pie" from hardening flags. Instead, build with
    -fPIC; it's conceptually wrong, but it's what the above Qt check insists
    on.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 16:06:00 +0200

gnuplot5 (5.0.1+dfsg1-2build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:18:41 +0200

gnuplot5 (5.0.1+dfsg1-2) unstable; urgency=medium

  [ Vincent Lefevre ]
  * Team upload.
  * [1171a98] Provide info manual. (Closes: #778757)

 -- Anton Gladky <gladk@debian.org>  Mon, 29 Jun 2015 23:36:42 +0200

gnuplot5 (5.0.1+dfsg1-1) unstable; urgency=medium

  * [c0fd77e] Imported Upstream version 5.0.1+dfsg
  * [be6c05e] Add suffix to uscan tarball.
  * [47f23a2] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Wed, 17 Jun 2015 17:54:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gnuplot5
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: math
 Testsuite: autopkgtest
@@ -31,7 +32,8 @@
                texlive-latex-extra,
                texlive-latex-recommended,
                libwxgtk3.0-dev,
-               zlib1g-dev
+               zlib1g-dev,
+               emacs24
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gnuplot5.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot5.git

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$// \
http://sf.net/gnuplot/gnuplot-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gnuplot5 5.0.2+dfsg1

=== debian/changelog ===
gnuplot5 (5.0.2+dfsg1-1) unstable; urgency=medium

  * [d183a84] Remove so-files from d/copyright (fixed by upstream)
  * [9a496d5] Imported Upstream version 5.0.2+dfsg1. (Closes: #806039)
  * [5be40e0] Refresh patches.
  * [65d724b] Update d/copyright.
  * [09f724d] Add dh-lua to BD.

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Jan 2016 08:11:01 +0100

gnuplot5 (5.0.1+dfsg1-3) unstable; urgency=medium

  [ Martin Pitt <martin.pitt@ubuntu.com> ]
  * Add 13_no_pie.patch: Don't build with -fPIE, Qt barfs on that with
    gcc >= 5. (http://code.qt.io/cgit/qt/qtbase.git/commit/?id=3eca75d)
    (Closes: #795076)
  * debian/rules: Also drop "pie" from hardening flags. Instead, build with
    -fPIC; it's conceptually wrong, but it's what the above Qt check insists
    on.

 -- Anton Gladky <gladk@debian.org>  Tue, 11 Aug 2015 22:07:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gnuplot5
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: math
 Testsuite: autopkgtest
@@ -9,6 +8,7 @@
                automake,
                debhelper (>= 9),
                dh-autoreconf,
+               dh-lua,
                libcairo2-dev,
                libedit-dev,
                libgd2-dev,
